// Mech_RSA_PKCS_KEY_PAIR_GEN.h: interface for the CMech_RSA_PKCS_KEY_PAIR_GEN class.
//
//////////////////////////////////////////////////////////////////////


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Mech.h"
#include "pkcs11t.h"	// Added by ClassView

class CMech_RSA_PKCS_KEY_PAIR_GEN : public CMech  
{
public:	
	CMech_RSA_PKCS_KEY_PAIR_GEN();
	CMech_RSA_PKCS_KEY_PAIR_GEN(CK_ULONG ulMinKeySize, CK_ULONG ulMaxKeySize, CK_FLAGS flags);
	virtual ~CMech_RSA_PKCS_KEY_PAIR_GEN();

};
